Subject: [bug#76686] [PATCH emacs-team 12/45] gnu: emacs-elpy: Record failing tests for Emacs 30.

From: Liliana Marie Prikler <[email-masked]>
Date: Sun, 2 Mar 2025 14:54:25 +0100

* gnu/packages/emacs-xyz.scm (emacs-elpy)[disable-broken-tests]: Update.
---
 gnu/packages/emacs-xyz.scm | 12 ++++++++++++
 1 file changed, 12 insertions(+)

diff --git a/gnu/packages/emacs-xyz.scm b/gnu/packages/emacs-xyz.scm
index 4181899783c..28178a301d0 100644
--- a/gnu/packages/emacs-xyz.scm
+++ b/gnu/packages/emacs-xyz.scm
@@ -16394,6 +16394,18 @@ (define-public emacs-elpy
                  (substitute* "elpy-folding-fold-blocks-test.el"
                    (("elpy-fold-at-point-should-NOT-fold-and-unfold-functions\
 -from-after.*" all)
+                    (string-append all "  :expected-result :failed\n")))
+                 ;; These tests started failing with Emacs 30.
+                 ;; (TODO: report upstream)
+                 (substitute* "elpy-company-backend-test.el"
+                   (("elpy-company-backend-should-find-.*-prefix-string.*" all)
+                    (string-append all "  :expected-result :failed\n")))
+                 (substitute* "elpy-shell-get-or-create-process-test.el"
+                   (("elpy-shell-get-or-create-process-should-add-project-root\
+-to-path.*" all)
+                    (string-append all "  :expected-result :failed\n")))
+                 (substitute* "elpy-format-code-test.el"
+                   (("elpy-should-format-code-with-default-formatter.*" all)
                     (string-append all "  :expected-result :failed\n"))))))
            ;; The default environment of the RPC uses Virtualenv to install
            ;; Python dependencies from PyPI.  We don't want/need this in Guix.
-- 
2.48.1